View Issue Details

IDProjectCategoryView StatusLast Update
0000323Gnash port for OS/2Bugpublic2020-09-30 05:03
Reporterrdconsult_1999Assigned Topsmedley 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionwon't fix 
Summary0000323: Missing Ouput Text Lines in Abobe version.swf of Gnash OS/2 port versius Flash Plugin Windows and OS/2 execution
DescriptionHello Paul,

comparing the output of the Gnash OS/2 port and the windows plugin and OS/2 plugin of the version.swf


sdl-gnash.cmd http://www.adobe.com/support/flash/ts/documents/test_version/version.swf

I am missing the output lines

  Operating System:
  Video Encoder
  Audio Capable
  local File I/O Disabled

Do we have a gnash problem or a problem with the port?


kind regards

Rainer

Additional InformationI will attach 4 screen shots.

File names should document the case / shot.

Can I attach 4 file or do I have to post 3 additional messages?
TagsNo tags attached.

Activities

2009-02-26 07:35

 

2009-02-26 07:36

 

2009-02-26 07:36

 

2009-02-26 07:37

 

psmedley

2009-02-26 07:54

administrator   ~0001205

I checked with the Gnash guys in #gnash on IRC - what we're seeing in sdl-gnash.exe is that people are seeing on other platforms, so it's not an OS/2 specific thing.

rdconsult_1999

2009-02-26 08:03

reporter   ~0001206

Hallo Paul,

very quick work -:)

My report documentation took at bit more time.

Will the Gnash guys open an ticket or do I have to do it?


kind regard

Rainer

psmedley

2009-02-26 08:15

administrator   ~0001207

I don't think that Gnash guys consider it to be a bug - just a difference :) You timed your report well as I have the day off, so I joined the IRC channel and asked immediately :)

About to build the 2009-02-25 snapshot of Gnash - aka Gnash v0.nearly.8.5 :)

talldad

2009-02-27 21:54

reporter   ~0001219

Hi Paul, talldad calling in here.

I hope I am supplying some helpful testing.

Can I temporarily make this a spot to ask about the 2009-02-25 build?

My install steps:
1. dropped the new Gnash into the same folder as the long ago old one (D:\gnash)
2. dropped the latest SDL into the folder D:\SDL to overwrite whatever was there before
3. whipped up a config file .gnashrc from the Gnash.pdf manual
4. created a .gnash folder under C:\home\default
5. threw my .gnashrc into it
6. created a copy of gnash-test.cmd, unREMmed all the gnash commands for testing.
 
However, I get this error:
  Fontconfig error: Cannot load default config file
with all the test runs in my gnash-test.cmd
(Each test shows something recognisable such as About box, or the Youtube frame and controls.)
Does that mean I have skipped an essential install step?
And does:
"Only look for default ini file in %HOME% not also in /gnash/etc" in your Readme.os2 history mean I have a path/configuration problem?

rdconsult_1999

2009-02-28 01:07

reporter   ~0001220

Hallo talldad,

with "created a copy of gnash-test.cmd" do you reference to

rem GNASH Test Cases Rainer 2007-08-13
rem ===================================
rem

from one of the other Gnash report?

That is my test procedure from 2007.
You have to "unrem" only one test case and run the test.

The test battery has to update to the current environment.

The Youtube interface has changed and I have not look into it, what has to change/update.

My first test results with youtube are quite similar with your results.

Some test cases make a call to firefox.exe - as I found out - and should run only with the Gnash Plugin - the OS/2 version is some where in Pauls to do list :-)

For start testing I recommend the test case for this report

and two new ones

rem
REM gnash.cmd http://www.cse.unsw.edu.au/~ywid062/pf/toy.swf
REM
rem gnash.cmd x:\movie\toy.swf
rem
rem
gnash.cmd http://www.os2site.com/sw/mmedia/video/os2.swf
REM gnash.cmd x:\movie\os2.swf


These cases are executed the swf by load for the URL and from the local file ( after manually downloaded to the HDD )

These cases should run on your system - if not, there is probably a configuration problem on your installation.

kind regards from Germany

Rainer



===================================================================

To Paul:

I will open/write a gnash report about the differences of the flv outputs tomorrow and post the link here.
  
Based on your feedback, it looks to me, gnash does not implement some functions of the Adobe flash. When it is documented in the Gnash system, the Gnash maintainer could decide how to handle it.
  
Looking forward to you new built :-)

Rainer

psmedley

2020-09-27 07:10

administrator   ~0003548

flash is dead - RIP

Issue History

Date Modified Username Field Change
2009-02-26 07:35 rdconsult_1999 New Issue
2009-02-26 07:35 rdconsult_1999 File Added: Rainer-to-Paul-Case-Flash-Version-OS2-B20090225-Output.jpg
2009-02-26 07:36 rdconsult_1999 File Added: Rainer-to-Paul-Case-Flash-Version-OS2-FF306-Innotec-Flush-R7-plugin-Output.jpg
2009-02-26 07:36 rdconsult_1999 File Added: Rainer-to-Paul-Case-Flash-Version-Win-about-plugin.jpg
2009-02-26 07:37 rdconsult_1999 File Added: Rainer-to-Paul-Case-Flash-Version-Win-Flash-7-plugin-Output.jpg
2009-02-26 07:54 psmedley Note Added: 0001205
2009-02-26 07:54 psmedley Assigned To => psmedley
2009-02-26 07:54 psmedley Status new => feedback
2009-02-26 08:03 rdconsult_1999 Note Added: 0001206
2009-02-26 08:15 psmedley Note Added: 0001207
2009-02-27 21:54 talldad Note Added: 0001219
2009-02-28 01:07 rdconsult_1999 Note Added: 0001220
2020-09-27 07:10 psmedley Status feedback => closed
2020-09-27 07:10 psmedley Resolution open => won't fix
2020-09-27 07:10 psmedley Note Added: 0003548